dkim-testkey(8)

NAME
dkim-testkey - DKIM filter installation test

SYNOPSIS
dkim-testkey -d domain -s selector [-k keypath]

DESCRIPTION
dkim-testkey verifies the setup of signing and verifying (private and public) keys for use with dkim-filter(8). The test program will read a domain name and selector from the command line, then query and parse the resulting DKIM key, reporting any errors found. If a key path is also provided, the test program will read the private key named and attempt to confirm that the private key specified by keypath and the public DKIM key retrieved match.

OPTIONS

-d domain
    Names the domain in which signing is to be done. More specifically, names the domain in which the public key matching the provided private key will be found. This parameter must be provided.

-k keypath
    Specifies the path to the private key file which should be used for this test. This parameter is optional.

-s selector
    Names the selector within the specified domain whose public key should be retrieved and compared to the private key provided. This parameter must be provided.

NOTES
The test program will also complain if the private key file is readable by anyone other than the user executing the program. Other sanity checks may be added in later versions.

VERSION
This man page covers the version of dkim-testkey that shipped with version 2.8.0 of dkim-filter.

COPYRIGHT
Copyright (c) 2007, 2008, Sendmail, Inc. and its suppliers. All rights reserved.

SEE ALSO
dkim-filter(8)

RFC4871 - DomainKeys Identified Mail